Create a flowchart from a data file

  1. On the Tools menu, point to Macros, point to Flowchart, and then click Import Flowchart Data Wizard.
  2. On the first wizard page, click Next. On the second wizard page, click Read data from an existing file, and then click Browse.
  3. Locate the text file (.csv or .txt) or Microsoft Excel data file (.xls) from which you want to create a flowchart. Select the file, click Open, and then click Next.
  4. Click Finish.

Click to show or hide information. Tip

You can also use the Import Flowchart Data Wizard to create new flowchart data in text format or in an Excel spreadsheet.


About flowchart types

Use flowcharts to diagram complex business processes. Microsoft Visio includes a number of flowchart templates you can use to illustrate particular business processes.

Audit Diagram Create auditing flowchart diagrams for accounting, financial management, fiscal information tracking, money management, decision flowcharts, and financial inventories.

Click to show or hide information. Show me an example

Basic Flowchart Create flowcharts, top-down diagrams, information tracking diagrams, process planning diagrams, and structure prediction diagrams.

Click to show or hide information. Show me an example

Basic flowchart diagram

Cause and Effect Diagram Create diagrams that illustrate problem-solving.

Click to show or hide information. Show me an example

Cause and effect diagram

Cross-Functional Flowchart Create diagrams that illustrate the relationships between process and departments in the organization.

Click to show or hide information. Show me an example

Mind Mapping Diagram Use Buzan's creativity techniques to create mind maps (graphical representations of thought processes) for brainstorming, problem solving, rational analysis, and decision making.

Click to show or hide information. Show me an example

TQM Diagram Create Total Quality Management diagrams for business process reengineering, continuous improvement, and quality solutions.

Click to show or hide information. Show me an example

Work Flow Diagram Represent business process reengineering and the automation of business processes. Show information flow in accounting, management, and human resources tasks in industry, business, and manufacturing.

Click to show or hide information. Show me an example

Work flow diagram

Flowchart templates available only in Microsoft Visio Professional

Data Flow Diagram Use for process- or data-oriented models, data flowcharts, and data process, structured analysis, and information flow diagrams.

Click to show or hide information. Show me an example

Data flow diagram

IDEF0 Diagram Use IDEF0 process charting models to create hierarchical diagrams for model configuration management, needs and benefits analyses, requirements definitions, and continuous improvement models.

Click to show or hide information. Show me an example

SDL Diagram Use the Specification and Description Language (SDL) to create object-oriented diagrams for communication and telecommunication systems and networks.

Click to show or hide information. Show me an example


Create a Microsoft Excel (.xls) data file from which to generate a flowchart

  1. On the Tools menu, point to Macros, point to Flowchart, and then click Import Flowchart Data Wizard.
  2. On the first wizard page, click Next.
  3. On the second wizard page, click Enter data in a new Microsoft Excel file and then click Next.
  4. On the third page, do one of the following:
  • Click Next if your flowchart will use the Basic Flowchart template.
  • Click Use a Custom Template if you want to use shapes from a different flowchart template. Click Browse to locate the template, click Open, and then click Next.
  5. On the fourth wizard page, enter a name for the new data file. Click the browse button and specify a location for the new file. Click Save and then click Next.
  6. When you click Next, a workbook opens with the column headings in place. Type over the sample text to create your data file. Pause the cursor on the column headings to view tips on entering data.
  7. Enter data on both the Shapes and Connectors worksheets in the workbook template.
  8. On the Excel File menu, click Save, and then close Excel. In Microsoft Visio, on the final wizard page, click Finish. Visio opens the flowchart template you specified and draws a flowchart according to your data.


Create a text (.csv or.txt) data file from which to generate a flowchart

  1. On the Tools menu, point to Macros, point to Flowchart, and then click Import Flowchart Data Wizard.
  2. On the first wizard page, click Next.
  3. On the second wizard page, click Enter data in a new text file, and then click Next.
  4. On the third page, do one of the following:
  • Click Next if your flowchart will use the Basic Flowchart template.
  • Click Use a Custom Template if you want to use shapes from a different flowchart template. Click Browse to locate the template, click Open, and then click Next.
  5. On the fourth wizard page, enter a name for the new data file. Click the browse button and specify a location for the new file. Click Save and then click Next.

A text file opens that includes instructions for setting up the data file.

  6. Read the instructions, and then type your data in the text file. In the text file, on the File menu, click Save, and then click Exit.
  7. In Microsoft Visio, on the final wizard page, click Finish.


Drill down in a flowchart

Click to show or hide information. Show me an example

  1. In the flowchart, add a new drawing page.

Click to show or hide information. How?

  1. Right-click a page tab in the lower-left corner of the window, and then click Insert Page.
  2. On the Page Properties tab, type a name for the page or use the default name provided, and then click OK.

Note The new page inherits the size, orientation, scale, measurement unit, shadow offset, and grid settings of the page currently displayed in the drawing window.

  2. Create a hyperlink that goes from a process shape on the first page (the process step you want to illustrate in detail) to the new drawing page.

Click to show or hide information. How?

  1. Select the shape, and then on the Insert menu, click Hyperlinks.
  2. For Sub-Address, click Browse, and then select the page you want.
  3. Click OK.
  3. Drag flowchart shapes onto the new page to represent a detailed view of the process step on the first page.


Continue a flowchart on a separate line

Click to show or hide information. Show me an example

On-page reference flowchart

Use the On-page reference shape to create a visual link or continuation between two related flowchart procedures on the same page.

  1. Drag two On-page reference shapes onto the drawing page.
  2. Select one reference shape and then type to label it with a number or letter. Label the second reference shape with the same character.
  3. Position one reference shape near the end of the main procedure. Position the matching reference shape near the beginning of the continued procedure.
  4. You can connect a reference shape to the flowchart shape it leads to or from.

Click to show or hide information. How?

Click the Connector tool [image] and then click and drag a line from a connection point [image] on the flowchart shape to a connection point on the reference shape.

When you are finished connecting shapes, click the Pointer tool [image].

Note The On-page reference shape is not available in the following flowchart templates: Data Flow Diagram, Mind Mapping Diagram, IDEF0 Diagram, and Cause and Effect Diagram.


Continue a flowchart on a separate page

Click to show or hide information. Show me an example

Off-page reference flowchart

When you want to continue your flowchart onto a new page, use the Off-page reference shape to create a hyperlink from one page to the next.

  1. Drag the Off-page reference shape onto the first page near the last shape in the flowchart.
  2. In the Off-page reference dialog box, click OK to add the Off-page reference shape to the current page, and to create a new drawing page that has its own Off-page reference shape.
  3. On the new drawing page, continue your flowchart by adding more flowchart shapes.
  4. To move between pages of the flowchart, double-click the Off-page reference shape on either page.

Click to show or hide information. Tip

You can change the appearance of an Off-page reference shape by right-clicking the shape and then clicking Outgoing, Incoming, Circle, or Arrow.

Note The Off-page reference shape is not available in the following flowchart templates: Data Flow Diagram, Mind Mapping Diagram, IDEF0 Diagram, and Cause and Effect Diagram.


About flowchart data in Microsoft Excel format

You can create a Microsoft Excel (.xls) file that contains flowchart data, which you then import into your Microsoft Visio drawing to create a flowchart. A template is provided for this purpose. Instructions for using the two worksheets in the Excel template file are listed below.

Click to show or hide information. Shapes Worksheet

Each row in the Shapes Worksheet represents a 2-D flowchart shape that you want to place in the flowchart. Type the following data for each shape, as needed.

  • Shape ID Required. Assign any string you want to each shape. You will use this ID on the Connectors Worksheet to indicate which shapes connect. (This ID is only used to identify the shape during import.)
  • Master Name Required. Type the name of the master exactly the way it appears on a Visio stencil or on a stencil you created yourself. If left blank, a rectangle will be drawn.
  • Stencil Name Type the name of the stencil that contains the master from the Master Name column. Include the .vss extension after the stencil name.
  • Shape Text Optional. Type any text you want to appear on the shape.
  • Cost Optional. If you want to associate cost data with the process the shape represents, type the cost value here, preceded by a dollar sign ($). You can use this data to compare processes and generate reports.
  • Duration Optional. If you want to record how long it takes to complete the process the shape represents, type a number for duration here. You can use this data to compare processes and generate reports.
  • Resources Optional. If you want to indicate how many resources are required to complete the process the shape represents, type the number of resources required. You can use this data to compare processes and generate reports.

Click to show or hide information. Connectors Worksheet

Each row in the Connectors Worksheet represents a connection between two other flowchart shapes. Type the following data for each connection, as needed.

  • Connector ID Assign any string you want to each connector. (This ID is only used to identify the shape during import.)
  • Connector Text Type any text you want to appear on the connector shape.
  • From Shape (or Connector) ID Required. Type the Shape ID, found on the Shapes Worksheet, of the shape where you want the connector to start. (This can also be a Connector ID.)
  • To Shape (or Connector) ID Required. Type the Shape ID, found on the Shapes Worksheet, of the shape where you want the connector to end. (This can also be a Connector ID.)


Number the shapes in a flowchart

  1. In a flowchart, select the shapes you want to number.
  2. On the Tools menu, click Number Shapes.
  3. On the General tab, under Operation, click Auto Number. Under Apply To, click Selected Shapes. Choose any other shape numbering options you want, and then click OK.

Click to show or hide information. Tip

To number new flowchart shapes as they are dragged onto the page, in the Number Shapes dialog box, click Continue numbering shapes as dropped on page.


Off-Page Reference dialog box

Off-page references provide links between sections of large flowcharts that appear on different drawing pages. In this dialog box, specify the page on which you want the flowchart to continue, and how you want the off-page reference shape to behave.

Click to show or hide information. New Page

Click to create and name a new page in the flowchart, and to add a link from the off-page reference shape to the new page.

Click to show or hide information. Existing Page

Click to add a link from the off-page reference shape to an existing page in the flowchart.

Click to show or hide information. Drop Off-Page Reference Shape On Page

Select to add an additional off-page reference shape on the page to which the original off-page reference will be linked.

Click to show or hide information. Keep Shape Text Synchronized

Select to have whatever text you type in the off-page reference shape on one page match the text in the shape on the other page.

You would want text to be synchronized, for example, if you added a code letter or number, such as A or 1, to the off-page reference. You would not want the text to be synchronized, however, if you typed See Page 2 in the off-page reference shape on Page 1.

Click to show or hide information. Insert Hyperlinks On Shape(s)

Select if you plan to save the flowchart in HTML format for presentation on a Web site. This adds a hyperlink to the off-page reference shape on the current page, and on the page on which the flowchart continues, if you choose to add an off-page reference there.